# Update an Organization

Update an organization by ID

Endpoint: POST /organizations/{organization_id}
Version: 3.0.1807
Security: Auth0

## Path parameters:

  - `organization_id` (integer, required)
    Numeric ID of the organization to update

## Response 200 fields (application/json):

  - `data` (object)

  - `data.name` (string, required)
    The name of the organization with whom the contract is held.
This can be an agency holding company, agency, advertiser, network, or other media or data buying entity.

  - `data.org_type` (array)
    The `org_type` field is an array that specifies the type of organization.

  - `data.status` (boolean, required)

  - `data.website` (string)

  - `data.facebook` (string)

  - `data.linkedin` (string)

  - `data.twitter` (string)

  - `data.allow_x_agency_pixels` (boolean)
    This field enables the Data Co-op functionality across all the Advertisers under this organization.
Cross-Advertiser Pixel Targeting allows Advertisers to target other Advertiser Event Pixels within their Agency and any other similarly enabled Agency under the same Organization.

  - `data.allow_byo_price` (boolean)

  - `data.opt_out_connected_id` (boolean)

  - `data.opt_out_connected_id_mathid` (boolean)

  - `data.override_suspicious_traffic_filter` (boolean)
    Set flag to 'on’ to be able to override default org wide suspicious traffic filter level.

  - `data.restrict_targeting_to_same_device_id` (boolean)

  - `data.restrict_targeting_to_deterministic_id` (boolean)

  - `data.suspicious_traffic_filter_level` (integer)
    Specify an organization-wide level of suspicious traffic filtering to use. See the Knowledge Base for additional details about this feature. This setting will only take affect if the organization's override_suspicious_traffic_filter property is set to 'on'.
If override_suspicious_traffic_filter is enabled and suspicious_traffic_filter_level is set to 0, all fraud and suspicious traffic will be filtered.

  - `data.use_ads_txt` (boolean)

  - `data.use_evidon_optout` (boolean)
    Set flag to 'on’ to show an opt out button on the organization's ads (additional CPM fee will apply when on).

  - `data.eligible_for_data_sharing` (boolean)

  - `data.holding_org_id` (integer)
    Example: 8

  - `data.service_provider_ccpa` (boolean)

  - `data.mfa_avoidance` (string)
    Enum: "ALLOW_ALL", "EXCLUDE_MFA"

  - `data.mm_contact_name` (string, required)
    This is the name of the primary internal MediaMath contact of the Organization.

  - `data.adx_seat_account_id` (integer, required)
    Passed to ADX upon creative registration so ADX knows which seat we're registering under.
    Example: 1

  - `data.connected_id_type` (string, required)
    Enum: "DETERMINISTIC_FIRST"

  - `data.contact_name` (string, required)
    This is the primary contact at the organization regarding contract issues.

  - `data.address_1` (string, required)
    The primary address line, typically includes street address and number.

  - `data.address_2` (string)
    The secondary address line, used for additional information such as apartment, suite, or unit number.

  - `data.city` (string, required)
    The city of the address.

  - `data.state` (string, required)
    The state of the address, represented as a 2-character code.

  - `data.zip` (string, required)
    The postal or ZIP code for the address.

  - `data.country` (string, required)
    The country of the address, represented as a 2-character ISO country code.

  - `data.phone` (string, required)
    The phone number associated with the address, including country code if applicable.

  - `data.currency_code` (string, required)
    Currency code for the campaign budget and spend, as well as billing.

  - `data.billing_country_code` (string, required)
    Country code that is used for billing purposes.

  - `data.dmp_enabled` (string, required)
    Enum: "enabled", "disabled"

  - `data.seats` (array)

  - `data.seats.data` (object)

  - `data.seats.data.supply_source_id` (integer, required)
    Example: 5

  - `data.seats.data.seat_identifier` (string, required)

  - `data.seats.data.bill_media_to_client` (boolean)

  - `data.seats.data.rmx_exchange_cost_unit` (string)

  - `data.seats.data.rmx_exchange_cost_cpm` (number)

  - `data.seats.data.rmx_exchange_cost_pct` (number)

  - `data.seats.data.status` (boolean)

  - `data.seats.data.id` (integer)

  - `data.seats.data.version` (integer)

  - `data.seats.data.created_on` (string)

  - `data.seats.data.updated_on` (string)

  - `data.mcp_enabled` (boolean)
    Controls whether the organization is permitted to access the platform via MCP (Model Context Protocol) tooling.

  - `data.mcp_access_level` (string)
    Determines the scope of MCP access for the organization. 'read_only' permits read/query operations only. 'read_write' permits all operations including create and update.
    Enum: "read_only", "read_write"

  - `data.inf_business_unit` (string)
    Available only for internal users.

  - `data.environment` (string)
    Available only for internal users.

  - `data.id` (integer)

  - `data.created_on` (string)

  - `data.entity_type` (string)

  - `data.terminated` (boolean)

  - `data.updated_on` (string)

  - `data.version` (integer)

  - `meta` (object)

  - `meta.status` (string)
    Example: success

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 409 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

